import axios from "axios";
// import { getToken } from "@/utils/storage";
const service = axios.create();
// import { Loading } from 'element-ui';
// import { Message  } from 'element-ui';
service.defaults.timeout = 50000;
// service.defaults.baseURL = `${process.env.VUE_APP_API}`
service.interceptors.request.use(
	
	config => {
		// 加载开始
		// this.$loading({
		// 	lock: true,
		// 	text: 'Loading',
		// 	spinner: 'el-icon-loading',
		// 	background: 'rgba(0, 0, 0, 0.7)'
		// });
		// Loading.start(),
		config.headers = {
			// Authorization: `Bearer ${getToken() ? getToken() : ""}`
		}
		return config;
	},
	error => {
		return Promise.reject(error);
	}
);

service.interceptors.response.use(
	// Loading.close(),
	response => {
		// 处理正常返回数据
		const { status } = response;
		if (
			status === 200
		) {
			// if (!data.errorCode || data.data === "fail") {
			// 	// Message.success('qqq')
			// 	return data ? data : true;
			// } else {
			// 	return false;
			// }
			return response ;
		} else {
			// tips[data.code](data);
			return false;
		}
	},
	error => {
		// 处理错误并给出相应的错误处理
		if (error.response) {
			// const { status } = error.response;
			// tips[status](error);
		}else{
			return false;
		}
	}
);

export default service;